<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.feesapi.bmgl.mapper.BmSjlsMapper">
    <sql id="querySql">
        SELECT a.id,
               a.code,
               a.name,
               b.name AS yslxmc,
               a.jtbz,
               a.xgrq
        FROM BM_SJLS a
                 LEFT JOIN bm_yslx b on a.yslx = b.code
        WHERE a.code = #{code}
    </sql>

    <select id="getPage" resultType="com.tofly.feesapi.bmgl.entity.vo.BmSjlsSelect">
        <include refid="querySql"></include>
    </select>
</mapper>
